NL_importComplete=true;

/*
	NL_Alpher		:
		任意のHTML要素の透明度を設定します。
		このクラスはNN6(FireFox)およびWin版IEでのみ動作します。
		それ以外では完全な透明（＝非表示）の時以外は完全な不透明（通常の表示）
		として処理されます。
		
	メモ：	NL_Alpherの全てのメソッドにおいて、透明度は0から1の小数で指定します
			0が不透明、1が完全な透明になります。
			なお、1を指定すると完全な透明に設定されるだけでなく、style.display属性が
			noneに設定されます。逆にはじめからdisplay = "none"になっている要素に対して
			1以外の透明度を指定すると、自動的にdisplay属性がデフォルトに戻されます。
		
	コンストラクタ
	
		NL_Alpher	new NL_Alpher(HTMLElement Elem);
					//HTML要素を指定してNL_Alpherオブジェクトを生成します
					//生成したNL_Alpherオブジェクトはインスタンスメソッドを使用して
					//透明度の変更が繰り返し行えます
					//設定が一度限りであれば下のクラスメソッドの利用が簡単です
	
	クラスメソッド
	
		undefined	NL_Alpher.setAlpher(HTMLElement Elem,double Value);
					//Elemで指定したHTML要素の透明度をValueに設定します
		undefined	NL_Alpher.setAlpherTo(	HTMLElement Elem,
											double StartValue,
											double FinValue,
											double TimeMiliSec);
					//Elemで指定したHTML要素の透明度をStartValueからFinValueまで
					//TimeMiliSec(ミリ秒単位)かけて変化させます。

	インスタンスメソッド(NL_AlpherObject.メソッド名、で呼び出し)
	
		double		getAlpher();
					//このNL_Alpherオブジェクトが参照するHTML要素の透明度を取得
		undefined	setAlpher(Value);
					//このNL_Alpherオブジェクトが参照するHTML要素の透明度を変更
		undefined	setAlpherTo(FinValue,MiliSec);
					//このNL_Alpherオブジェクトが参照するHTML要素の透明度を現在の値から
					//FinValueまでMiliSec(ミリ秒単位)かけて変化させます

*/

function NL_Alpher(Elem){
	this._initWithElement(Elem);
}
NL_Alpher.setAlpher = function(Elem,Value){
	var Al		= new NL_Alpher(Elem);
	Al.setAlpher(Value);
}
NL_Alpher.setAlpherTo = function(Elem,StartValue,FinValue,TimeMiliSec){
	var Al		= new NL_Alpher(Elem);
	Al.setAlpher(StartValue);
	Al.setAlpherTo(FinValue,TimeMiliSec);
}


NL_Alpher.__pool	= [];
NL_Alpher.__retain	= function(Obj){NL_Alpher.__pool.push(Obj);}
NL_Alpher.__release	= function(Obj){
	for(var Key in NL_Alpher.__pool){
		if(NL_Alpher.__pool[Key] == Obj){
			delete NL_Alpher.__pool[Key];
		}
	}
}

NL_Alpher.prototype = {

	_elem				:	null		,
	_alpher				:	0			,
	__fromAlpher		:	0			,
	__toAlpher			:	1			,
	__finTime			:	0			,
	__startTime			:	0			,
	__timer				:	null		,

	_initWithElement		:
		function(Elem){
			this._elem		= Elem;
		}
	,//End initWithElement///////////////
	
	getAlper			:
		function(){return this._alpher;}
	,//End getAlpher/////////////////////
	
	setAlpher			:
		function(Value){
			switch(NL_browser){
			case "ie":
				this._elem.style.filter="alpha(opacity=0)"
        		this._elem.filters.alpha.Opacity  = ((Value - 1) * 100);
				this._elem.style.visibility = (Value == 1)?"hidden":"visible";
				break;
			case "nn6":
				this._elem.style.MozOpacity = (1 - Value);
				var VStyle = (Value == 1)?"hidden":"visible";
				if(this._elem.style.visibility != VStyle){
					this._elem.style.visibility = VStyle;
				}
				break;
			default:
				this._elem.style.visibility = (Value > 0.5)?"hidden":"visible";
			}
			
			this._alpher = Value;

		}
	,//End setAlpher/////////////////////
	
	setAlpherTo			:
		function(Value,MiliSec){
			this.__fromAlpher	= this._alpher;
			this.__toAlpher		= Value;
			var D = new Date();
			this.__startTime	= D.getTime();
			this.__finTime		= this.__startTime + MiliSec;
			
			var Obj		= this;
			var TFunc 	= function(){
				var D 		= new Date();
				var R 		= (D.getTime() - Obj.__startTime) / (Obj.__finTime - Obj.__startTime);
				R	 		= Math.max(Math.min(R , 1) , 0);
				var Alpher = Obj.__toAlpher * R + Obj.__fromAlpher * (1 - R);
				Obj.setAlpher(Alpher);
				if(R >= 1){
					NL_Alpher.__release(Obj);
					clearInterval(Obj.__timer);
				}
			};
			NL_Alpher.__retain(this);
			this.__timer = setInterval(TFunc , 25);
		}
	//End SetAlpherTo/////////////////////

}