NL_importComplete=true;
//******************** NL_Color class ********************
//色を表現するクラスを提供します。

/*[使用法]
	・新しい色の生成（RGB値を指定）
		var c = new NL_Color(255,255,0)	//黄色
	・新しい色の生成（色名を指定）
		var w = NL_Color.White();b = NL_Color.Black()
	・新しい色の生成（既存の二色から生成）
		var gray = NL_Color.White().mix(NL_Color.Black());
	・styleプロパティにNL_Colorを適用
		body.style.backgroundColor = NL_Color.Black().toString();
*/

//[使用例]

//[作者] 

//[メンバ一覧]
/****** global function ******
	NL_Color(int r,int g,int b);	//RGB各色0から255で指定
************************/

/****** static method *******
	NL_Color	black();
	NL_Color	white();
	NL_Color	red();
	NL_Color	blue();
	NL_Color	green();
	NL_Color	yellow();
************************/

/****** property *******
	int		r;
	int		g;
	int		b;
************************/

/****** method *******
	string		toString();			//rgb(r,g,b)形式の文字列を生成。styleで使用可
	NL_Color	copy();
	NL_Color	mix(NL_Color C,double Alpher);	//色Cを割合Alpher（0..1）で混ぜます
************************/

//[プログラム本体]
//****** static property *******

//********** constructor **********
function NL_Color(r,g,b){
	if(!r) r = 0;
	if(!g) g = 0;
	if(!b) b = 0;
	this.r = r;
	this.g = g;
	this.b = b;
}

//****** static method *******
/*
NL_Color.createWithString(colstr){
	var Hex = {0:0,1:1,2:2,3:3,4:4,5:5,6:6,7:7,8:8,9:9,A:10,B:11,C:12,D:13,E:14,F:15,
														a:10,b:11,c:12,d:13,e:14,f:15}

	if(!colstr || !colstr.toString){return null;}
	colstr = colstr.toString();
	var chr;
	chr = colstr.charAt(0);
	if(chr == "#"){
		//#RRGGBB or #RGB
		if(colstr.length == 7){
			var R = colstr.substr(1,2);
			var G = colstr.substr(3,4);
			var B = colstr.substr(5,6);
			
}*/
NL_Color.white = function(){
	return new NL_Color(255,255,255);
};
NL_Color.black = function(){
	return new NL_Color(0,0,0);
};
NL_Color.red = function(){
	return new NL_Color(255,0,0);
};
NL_Color.blue = function(){
	return new NL_Color(0,0,255);
};
NL_Color.green = function(){
	return new NL_Color(0,255,0);
};
NL_Color.yellow = function(){
	return new NL_Color(255,255,0);
};

//****** method *******
NL_Color.prototype.toString = function(){
	//色を文字列として返します。
	//この文字列はCSSのプロパティにそのまま代入できます
	return "rgb(" + Math.round(this.r) + "," + Math.round(this.g) + "," + Math.round(this.b) + ")";
};
NL_Color.prototype.copy = function(){
	return new NL_Color(this.r,this.g,this.b);
};
NL_Color.prototype.mix = function(C,Alpher){
	//現在の色にパラメータの色をまぜて新しい色を生成して返します。
	//新しいNL_Colorを返すため既存のNL_Colorオブジェクトは変更しません
	//Alpherにはパラメータの色の透明度（0:透明...1:不透明）を指定します
	//Alpherは省略すると0.5に設定されます
	if(!C){return new NL_Color(0,0,0);}
	if(!Alpher){Alpher = 0.5;}
	return new NL_Color(	this.r * (1-Alpher) + C.r * Alpher ,
				this.g * (1-Alpher) + C.g * Alpher ,
				this.b * (1-Alpher) + C.b * Alpher
	);
};
//******************** /NL_Color class ********************

