NL_importComplete=true;
//******************** NL_DebugLog class ********************

/*[使用法]
	1.NL_DebugLogをインポート
	2.NL_DebugLog.enble = true;を実行
	　（デバッグメッセージを使用したくない時にはこのプロパティをfalseにする）
	3-1:標準のメッセージウインドウを使用する場合
		NL_DebugLog.add(string senderName,string message)を呼び出し
	3-2:標準以外の別なウインドウを使用する時
		3-2.1.new NL_DebugLog()で新しいメッセージウインドウを生成
		3-2.2 生成したNL_DebugLogオブジェクトのadd(string senderName,string message)を実行
*/

/*[使用例] 

	<HTML>
	<HEAD>
		<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<script type="text/javascript" src="../nekolib/NekoLibrary.js"></script>
		<script>
			NL_importStart("../nekolib/lib");
			NL_import("NL_DebugLog");
		</script>
	</HEAD>
	<BODY>
		<script>NL_importFinish();</script>
		<script>
		
			NL_DebugLog.add("test.html","めっせーじ1")
			NL_DebugLog.add("test.html","めっせーじ2")
		
		</script>
	</BODY>
	</HTML>
*/

//[作者] Mattsun

//[メンバ一覧]
/****** global function ******
	NL_DebugLog();
************************/

/****** static property *******
	NL_DebugLog	_default;
	bool		enable;
************************/

/****** static method *******
	void		add(string Sender,string Message);
	void		err(string Sender,string Message);
************************/

/****** property *******
	Window		_Window;
************************/

/****** method *******
	void		add(string SenderName,string Message);
	void		err(string SenderName,string Message);
************************/

//[プログラム本体]
//****** static property *******
NL_DebugLog._default 		= null;
NL_DebugLog.enable		= false;
//****** property *******
NL_DebugLog.prototype._Window	=null;

//********** constructor **********
function NL_DebugLog(Name){
	if(!NL_DebugLog.enable) return;

	if(arguments.length == 2){
		NL_DebugLog.err("DebugLog","不正なコンストラクタ呼び出しです。NL_DebugLog.add()と間違えてNL_DebugLog()を呼び出した可能性があります"
									+ "arguments = [" + arguments[0] + "," + arguments[1] + "]");
		return;
	}

	this._Window = window.open("",Name,"width=420,height=300,resizable=yes,scrollbars=yes");
	
	if(!this._Window.document || !this._Window.document.getElementById("logbody")){
		this._Window.document.open();
		this._Window.document.write(
				"<html>"
					+	"<head>"
						+	"<title>debug message</title>"
						+	"<style>body{overflow:scroll;} table *{border : 1px solid rgb(80,80,80);} table .Error {color:rgb(200,40,0);}</style>"
					+	"</head>"
					+	"<body>"
						+	"<table width='90%'><tbody id='logbody'><tr><td width='30%'>送信者</td><td width='70%'>内容</td></tr></tbody></tablr>"
					+	"</body>"
				+	"</html>"
				);
		this._Window.document.close();		
	}
	

}
//****** static method *******
NL_DebugLog.add	= function(Sender,Message){
	if(!NL_DebugLog.enable) return;
	if(!NL_DebugLog._Default){
		NL_DebugLog._Default = new NL_DebugLog();
	}
	NL_DebugLog._Default.add(Sender,Message);
};
NL_DebugLog.err	= function(Sender,Message){
	if(!NL_DebugLog.enable) return;
	if(!NL_DebugLog._Default){
		NL_DebugLog._Default = new NL_DebugLog();
	}
	NL_DebugLog._Default.err(Sender,Message);
};

//****** method *******
NL_DebugLog.prototype.add = function(SenderName,Message){
	if(!NL_DebugLog.enable) return;
	if(!this._Window || this._Window.closed){return;}
	
	var Doc = this._Window.document;
	var TB = Doc.getElementById("logbody");
	var TR = Doc.createElement("tr");
	var TD = Doc.createElement("td");
	TD.appendChild(Doc.createTextNode(SenderName));
	TR.appendChild(TD);
	var TD = Doc.createElement("td");
	TD.appendChild(Doc.createElement("pre").appendChild(Doc.createTextNode(Message)));
	TR.appendChild(TD);
	TB.appendChild(TR);
};

NL_DebugLog.prototype.err = function(SenderName,Message){
	if(!NL_DebugLog.enable) return;
	if(!this._Window || this._Window.closed){return;}
	
	var Doc = this._Window.document;
	var TB = Doc.getElementById("logbody");
	var TR = Doc.createElement("tr");
	var TD = Doc.createElement("td");
	TD.appendChild(Doc.createTextNode(SenderName));
	TR.appendChild(TD);
	var TD = Doc.createElement("td");
	TD.appendChild(Doc.createTextNode(Message));
	TR.appendChild(TD);
	TR.className = "Error";
	TB.appendChild(TR);
};

//******************** /NL_DebugLog class ********************

